Package com.independentsoft.office.drawing

# Class Tile

java.lang.Object
com.independentsoft.office.drawing.Tile

public class Tile extends Object
The Class Tile.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tile()`
  Instantiates a new tile.
  `Tile​(InternalXMLStreamReader reader)`
  Instantiates a new tile.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tile`
  `clone()`
  `RectangleAlignment`
  `getAlignment()`
  Gets the alignment.
  `TileFlipMode`
  `getFlip()`
  Gets the flip.
  `Unit`
  `getHorizontalOffset()`
  Gets the horizontal offset.
  `int`
  `getHorizontalRatio()`
  Gets the horizontal ratio.
  `Unit`
  `getVerticalOffset()`
  Gets the vertical offset.
  `int`
  `getVerticalRatio()`
  Gets the vertical ratio.
  `void`
  `setAlignment​(RectangleAlignment alignment)`
  Sets the alignment.
  `void`
  `setFlip​(TileFlipMode flip)`
  Sets the flip.
  `void`
  `setHorizontalOffset​(Unit horizontalOffset)`
  Sets the horizontal offset.
  `void`
  `setHorizontalRatio​(int horizontalRatio)`
  Sets the horizontal ratio.
  `void`
  `setVerticalOffset​(Unit verticalOffset)`
  Sets the vertical offset.
  `void`
  `setVerticalRatio​(int verticalRatio)`
  Sets the vertical ratio.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Tile

    public Tile()
    Instantiates a new tile.

  - ### Tile

    public Tile​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new tile.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Tile clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public RectangleAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RectangleAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getFlip

    public TileFlipMode getFlip()
    Gets the flip.
    Returns:
      the flip

  - ### setFlip

    public void setFlip​(TileFlipMode flip)
    Sets the flip.
    Parameters:
      `flip` - the new flip

  - ### getHorizontalRatio

    public int getHorizontalRatio()
    Gets the horizontal ratio.
    Returns:
      the horizontal ratio

  - ### setHorizontalRatio

    public void setHorizontalRatio​(int horizontalRatio)
    Sets the horizontal ratio.
    Parameters:
      `horizontalRatio` - the new horizontal ratio

  - ### getVerticalRatio

    public int getVerticalRatio()
    Gets the vertical ratio.
    Returns:
      the vertical ratio

  - ### setVerticalRatio

    public void setVerticalRatio​(int verticalRatio)
    Sets the vertical ratio.
    Parameters:
      `verticalRatio` - the new vertical ratio

  - ### getHorizontalOffset

    public Unit getHorizontalOffset()
    Gets the horizontal offset.
    Returns:
      the horizontal offset

  - ### setHorizontalOffset

    public void setHorizontalOffset​(Unit horizontalOffset)
    Sets the horizontal offset.
    Parameters:
      `horizontalOffset` - the new horizontal offset

  - ### getVerticalOffset

    public Unit getVerticalOffset()
    Gets the vertical offset.
    Returns:
      the vertical offset

  - ### setVerticalOffset

    public void setVerticalOffset​(Unit verticalOffset)
    Sets the vertical offset.
    Parameters:
      `verticalOffset` - the new vertical offset